package com.gesoft.czreal.common.base;

import android.view.View;
import android.view.ViewGroup;

import java.util.List;

/**
 * Created by Jay on 2015/10/8 0008.
 */
public class CommonPagerAdapter extends android.support.v4.view.PagerAdapter {
    private List<? extends View> viewLists;

    public CommonPagerAdapter() {
    }

    public CommonPagerAdapter(List<? extends View> viewLists) {
        super();
        this.viewLists = viewLists;
    }

    @Override
    public int getCount() {
        return viewLists.size();
    }

    @Override
    public boolean isViewFromObject(View view, Object object) {
        return view == object;
    }

    @Override
    public Object instantiateItem(ViewGroup container, int position) {
        container.addView(viewLists.get(position));
        return viewLists.get(position);
    }

    @Override
    public void destroyItem(ViewGroup container, int position, Object object) {
        container.removeView(viewLists.get(position));
    }
}
